using adas_core.Authentication.Interfaces;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace adas_core.LdapLogin.Configuration;

public class LdapModule : IModule
{
    public static void Configure(IServiceCollection services, IConfiguration configuration)
    {
        var configSection = configuration.GetSection("Ldap");
        services.Configure<LdapConfig>(configSection);
        services.AddScoped<ILoginService, LdapLoginService>();
    }
}